This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489832 - Display of battery information reported is wrong
Display of battery information reported is wrong
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 00:27 EDT by Shawn Starr
Modified: 2010-06-28 07:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tooltip of bogus battery info (20.70 KB, image/png)
2009-03-12 00:27 EDT, Shawn Starr
no flags Details

  None (edit)
Description Shawn Starr 2009-03-12 00:27:08 EDT
Created attachment 334896 [details]
tooltip of bogus battery info

Description of problem:
Battery info is. wrong.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.25.92-1.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. Start GNOME up, see following attached popup
  
Actual results:
Shows bogus battery info

Expected results:
Shows correct info

Additional info:
See attached png
Comment 1 Shawn Starr 2009-03-12 00:28:57 EDT
Battery info:

[spstarr@segfault BAT0]$ cat info 
present:                 yes
design capacity:         47520 mWh
last full capacity:      20890 mWh
battery technology:      rechargeable
design voltage:          10800 mV
design capacity warning: 1044 mWh
design capacity low:     200 mWh
capacity granularity 1:  1 mWh
capacity granularity 2:  1 mWh
model number:            IBM-08K8193
serial number:           20763
battery type:            LION
OEM info:                SANYO

present:                 yes
capacity state:          ok
charging state:          charged
present rate:            0 mW
remaining capacity:      20780 mWh
present voltage:         12450 mV
Comment 2 Richard Hughes 2009-03-12 05:43:24 EDT
can you attach the output of "devkit-power -d" please. Thanks.
Comment 3 Shawn Starr 2009-03-12 13:25:36 EDT
Output
=====

Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:01/PNP0C09:00/ACPI0003:00/power_supply/AC
  power supply:         yes                                                                                           
  updated:              Thu Mar 12 13:20:35 2009 (150 seconds ago)                                                    
  has history:          no                                                                                            
  has statistics:       no                                                                                            
  line-power                                                                                                          
    online:             yes                                                                                           

Device: /org/freedesktop/DeviceKit/Power/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0
  vendor:               SANYO                                                                                          
  model:                IBM-08K8193                                                                                    
  serial:               20763                                                                                          
  power supply:         yes                                                                                            
  updated:              Thu Mar 12 13:20:35 2009 (150 seconds ago)                                                     
  has history:          yes                                                                                            
  has statistics:       yes                                                                                            
  battery                                                                                                              
    present:             yes                                                                                           
    rechargeable:        yes
    state:               unknown
    energy:              20.71 Wh
    energy-empty:        0 Wh
    energy-full:         20.89 Wh
    energy-full-design:  47.52 Wh
    energy-rate:         0 W
    voltage:             12.445 V
    time to full:        0 seconds
    time to empty:       0 seconds
    percentage:          99.1383%
    capacity:            43.9604%
    technology:          lithium-ion
  History (charge):
    1236878435  0.000   unknown
  History (rate):
    1236878435  0.000   unknown

Daemon:
  daemon-version:  003
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      no
  on-low-battery:  no
Comment 4 Richard Hughes 2009-03-16 09:42:16 EDT
2009-03-16  Richard Hughes  <richard@hughsie.com>

	* src/gpm-engine.c: (gpm_engine_device_check_capacity):
	Fix the low capacity warning to fix rh#489832
Comment 5 Fedora Update System 2009-04-21 07:58:22 EDT
gnome-power-manager-2.26.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-power-manager-2.26.1-1.fc11
Comment 6 Fedora Update System 2009-05-09 00:17:49 EDT
gnome-power-manager-2.26.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-power-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4567
Comment 7 Bug Zapper 2009-06-09 08:09:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 09:09:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:27:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.